Bug 603461 - gnome-display-properties cannot switch off internal screen
gnome-display-properties cannot switch off internal screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 05:51 EDT by Sascha Zantis
Modified: 2011-06-27 14:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (551.05 KB, text/x-log)
2010-06-13 05:51 EDT, Sascha Zantis
no flags Details
Xorg.0.log from KDE-Live-Session (61.55 KB, application/octet-stream)
2010-06-19 05:19 EDT, Sascha Zantis
no flags Details

  None (edit)
Description Sascha Zantis 2010-06-13 05:51:51 EDT
Created attachment 423609 [details]
Xorg.0.log

Description of problem:
I am using an Asus EEE-PC 1000H (Intel Corporation Mobile 945GME Express Integrated Graphics Controller as video-card) with an external screen. In F12 and F13beta, the internal screen was switched off, when I booted having an external screen plugged in. Now I start, having a mirrored gdm-login-screen (both screens with a resolution of 800x600). After logging in, the internal monitor is still the primary one (see bug 505510) and I can switch the panels to the external screen using "xrandr --output VGA1 --primary --right-of LVDS1".
But if I want to switch off the internal screen, because many programs still start on this screen using gnome-display-properties or xrandr, the screens flicker for a few seconds and the old settings are resetted.
/var/log/messages says:
Jun 13 11:38:21 fedora-eee kernel: composite sync not supported
(fedora-eee is the hostname)
a few times and Xorg.0.log gives out about 500kb of log which I added.


Version-Release number of selected component (if applicable):


How reproducible:
Login to gnome and try to switch off the internal screen using gnome-display-properties

Steps to Reproduce:
1. Login
2. Start gnome-display-properties
3. Switch off the internal screen
  
Actual results:
Flickering screens, old settings stay

Expected results:
Internal screen switched off, use external screen as primary and only screen.

Additional info:
Logging into LXDE and using lxrandr to switch off the internal screen works as expected.
I was sure that it must be an X or intel-video-driver-problem but after trying it in LXDE, I cannot classify the problem anymore.
btw: compiz is uninstalled, but even with installed compiz and standard-effects I have the same problem.

I have other problems related to this (playing videos, when the internal screen has 1024x600 and the external 1280x1024 (default-resolutions for them) doesnt work. It just works, when I set the resolution of the internal screen to 640x480, again no problems in LXDE) and I will bug detailed bug-reports for them in the next days.
Comment 1 Sascha Zantis 2010-06-13 08:25:50 EDT
This has been the first bug-report I ever wrote and of course, I made a mistake.
I chose the wrong component first (gnomeradio, dont know, why that happened) and now it is assigned to Dominik 'Rathann' Mierzejewski instead of ctrl-center-team and I have absolutely no idea, how I can change this.
Could someone help me?

I am sorry...
Sascha
Comment 2 Sascha Zantis 2010-06-19 05:19:13 EDT
Created attachment 425317 [details]
Xorg.0.log from KDE-Live-Session

To be sure that i dont have a corrupt gnome-installation because i upgraded from F13 beta to final, i created live sticks.

In the gnome-live-stick, I have exactly the same problem as in my local installation.

To be sure that it is a gnome-issue, I created a KDE-Stick.
In KDE-live-session, I am able to switch off the internal screen.
/var/log/messages also says: composite sync not found, and /var/log/Xorg.0.log logs a lot (tail -f when switching off the monitor as attachment) but the monitor os switched off.

From my local installation, I also know that it does work in LXDE (see first post).
Comment 3 Sascha Zantis 2010-10-02 07:18:45 EDT
I found a workaround for me.
After disabling /apps/gnome_settings_daemon/plugins/xrandr/active via gconf-editor, gnome-settings-daemon doesnt care about screens anymore and I can use a script like

#!/bin/bash
xrandr --output VGA1 --auto && xrandr --output LVDS1 --off

to switch off the internal screen.

Tested in F13 with XFCE and running gnome-settings-daemon and F13-Live-CD with Gnome.
Well, in my opinion, this is still a bug in gnome-settings-daemon, but I do not care anymore. (I btw asked in an Ubuntu-IRC-Channel if this is enabled in Ubuntu, because I know that gnome-display-properties doesnt have this problem there, and it is enabled).

I will have a look at Fedora12 and 14 the next days.

Have a nice weekend

Sascha
Comment 4 Bastien Nocera 2010-11-01 11:08:51 EDT
Best test Fedora 14 (the debugging steps require gnome-settings-daemon 2.32)

Before running the display preferences, run, on the command-line:
touch ~/gsd-debug-randr
Reproduce the problem, and attach the ~/gsd-debug-randr.log file that will get created.

You can remove both files afterwards.
Comment 5 Sascha Zantis 2010-11-02 13:12:49 EDT
I did that with Fedora 14-Final-LiveCD.
First point: It worked, the problem doesn't exist anymore.

The Log(s):

Screen attached at boot, didnt switch on automatically, but after I switched it on with 1280x1024 and 60Hertz and switched out the internal screen with gnome-display-properties, it worked fine:

To keep this log from being created, please rm ~/gsd-debug-randr
Got RANDR event with timestamps change=377498 > config=41978
Ignoring event since change >= config
Got RANDR event with timestamps change=377498 > config=41978
Ignoring event since change >= config
Got RANDR event with timestamps change=377498 > config=41978
Ignoring event since change >= config
Got RANDR event with timestamps change=377498 < config=379734
Applied stored configuration to deal with event

I logged out and in again, here the log:

STARTING XRANDR PLUGIN
State of screen at startup:
Screen min(320, 200), max(4096, 4096), change=3074141 > config=3070352
cloned: no
LVDS1: 1024x600@60 +0+0 (Laptop)
VGA1: off (Plain Tree Systems Inc 19")
State of screen after initial configuration:
Screen min(320, 200), max(4096, 4096), change=3074141 > config=3070352
cloned: no
LVDS1: 1024x600@60 +0+0 (Laptop)
VGA1: off (Plain Tree Systems Inc 19")
Got RANDR event with timestamps change=3087655 > config=3070352
Ignoring event since change >= config
Got RANDR event with timestamps change=3087655 < config=3088367
Applied stored configuration to deal with event
Got RANDR event with timestamps change=3088367 = config=3088367
Ignoring event since change >= config
Got RANDR event with timestamps change=3088367 = config=3088367
Ignoring event since change >= config

By the way: All those errors from Xorg.0.log I saw in Fedora 13, didn't appear.

Can you explain what the error/bug was in Fedora 13? Just out of curiosity. 

Sascha
Comment 6 Bug Zapper 2011-06-02 07:04:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 14:06:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.